Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.annotations
Class FromAnnotationsRuleModule

    java.lang.Object
      org.apache.commons.digester3.binder.AbstractRulesModule
          org.apache.commons.digester3.annotations.FromAnnotationsRuleModule

All Implemented Interfaces:
  RulesModule

    public abstract class FromAnnotationsRuleModule

extends AbstractRulesModule

`RulesModule` implementation that allows loading rules from annotated classes.

Since:
  3.0

Constructor Summary
`FromAnnotationsRuleModule()`

Method Summary
`protected void` | `bindRulesFrom(Class<?> type)` Scan the input Class, looking for Digester rules expressed via annotations, and binds them.
`protected void` | `configure()` Configures a `RulesBinder` via the exposed methods.
`protected abstract void` | `configureRules()` Configures a `RulesBinder` via the exposed methods.
`protected void` | `useAnnotationHandlerFactory(AnnotationHandlerFactory annotationHandlerFactory)` Allows users plug a different `AnnotationHandlerFactory` to create `AnnotationHandler` instances.
`protected void` | `useDefaultAnnotationHandlerFactory()` Allows users to switch back to the default `AnnotationHandlerFactory` implementation.

Methods inherited from class org.apache.commons.digester3.binder.AbstractRulesModule
`addError, addError, configure, forPattern, install, rulesBinder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FromAnnotationsRuleModule

    public FromAnnotationsRuleModule()

Method Detail

### configure

    protected final void configure()

  Configures a `RulesBinder` via the exposed methods.

  Specified by:
    `configure` in class `AbstractRulesModule`

### configureRules

    protected abstract void configureRules()

  Configures a `RulesBinder` via the exposed methods.

### useAnnotationHandlerFactory

    protected final void useAnnotationHandlerFactory(AnnotationHandlerFactory annotationHandlerFactory)

  Allows users plug a different `AnnotationHandlerFactory` to create `AnnotationHandler` instances.

  Parameters:
    `annotationHandlerFactory` - A custom `AnnotationHandlerFactory` to create `AnnotationHandler` instances

### useDefaultAnnotationHandlerFactory

    protected final void useDefaultAnnotationHandlerFactory()

  Allows users to switch back to the default `AnnotationHandlerFactory` implementation.

### bindRulesFrom

    protected final void bindRulesFrom(Class<?> type)

  Scan the input Class, looking for Digester rules expressed via annotations, and binds them.

  Parameters:
    `type` - the type has to be analyzed
  See Also:
    `DigesterRule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.